# PriceController

## Overview

* [Description](#description)
  * [Price Object](#price-object)
  * [JSON Fields](#json-fields)
  * [CSV Fields](#csv-fields)
* [API Reference](#api-reference)
  * [GET /](#get-)

## Description

Path /v2/prices

Handles all requests regarding price: creating, updating, deleting.

### Price Object

An example for a price JSON object.

```json
{
  "priceId": "yourCatalogId:1023457",
  "price": 109.99,
  "currencySymbol": "€"
}
```

Responses are usually wrapped in a meta object, which contains additional information about the response and may contain a single price or a list of prices.

```
{
   "price": {
	        "priceId":"yourCatalogId:1023457",
	        "price": 109.99,
	        "currencySymbol": "€"
	    },
	"prices": [
	    {
	        "priceId":"yourCatalogId:1023457",
	        "price": 109.99,
	        "currencySymbol": "€"
	    },
		...
	]
}
```

#### JSON Fields

* priceId - the price id of the price
* price - the price of the price
* currencySymbol - the currency symbol of the price

#### CSV Fields

* article\_number
* price: default price for this article number. default means if a country gets requested, where there is no specific entry this default price will be returned
* currency\_symbol: default currency symbol for this article number. default means if a country gets requested, where there is no specific entry this default currency symbol will be returned
* price\_{countryCode}: countryCode can be "at", "de" and so on. Represents a specific price entry for this country
* currency\_symbol\_{countryCode}: countryCode can be "at", "de" and so on. Represents a specific currency symbol for this country

## API Reference

### GET /

Generates: application/json

Query Parameters

| Name        | Type            | Comment                                                                                                                                                                                                  |
| ----------- | --------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| priceIds\[] | List of Strings | an array of price ids which you need. A price id is built with your catalogId and needed articleNumber separated by ":". For example "yourCatalogId:1023457" or "yourCatalogId:someStringArticleNumber". |

Will query price information about given price ids and will return those informations with articleNumber, price and currencySymbol. Result may be different for request country via your headers.

#### IMPORT INFORMATION

In order to successfully retrieve prices for a given price identifier following requirements have to been met.

1. catalog has to be allowed to be ordered, that is only an internal requirement and is not visible if you inspect `orderable` of the catalog.
2. a `PriceService` has to be created for this catalog
3. `usedFor` has to be set correctly for all wanted countries
4. As a caller you have to be in the correct tenant and country to retrieve price information.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roomle.com/rubens/rest-api/rest-api-reference/endpoints/price.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
